from flask import Blueprint
from app.controllers.usercontroller import create,edit_user,register,add_user,edit_db,upload_file,save_file,save_data_db,new_create,show_data,download_excel

users_bp = Blueprint('users_blueprint',__name__)

users_bp.route('/new_create',methods=['GET','POST'])(new_create)
users_bp.route('/create_user',methods=['GET','POST'])(register)
users_bp.route('/add_user',methods=['GET','POST'])(add_user)
users_bp.route('/create',methods=['GET','POST'])(create)
users_bp.route('/edit/<int:user_id>',methods=['GET','POST'])(edit_user)   
#users_bp.route('/add_db',methods=['GET','POST'])(add_db)
#users_bp.route('/create_db',methods=['GET','POST'])(create_db)
users_bp.route('/edit_db/<int:user_id>',methods=['GET','POST'])(edit_db)  
users_bp.route('/upload_file',methods=['GET','POST'])(upload_file) 
users_bp.route('/save_file',methods=['GET','POST'])(save_file)
#users_bp.route('/edit_excel/<int:item_id>',methods=['GET','POST'])(edit_excel)
#users_bp.route('/save_excel',methods=['GET','POST'])(save_excel)
users_bp.route('/save_data_db',methods=['GET','POST'])(save_data_db)
users_bp.route('/show_data/<int:item_id>',methods=['GET','POST'])(show_data)
users_bp.route('/download_excel',methods=['GET','POST'])(download_excel)


